
import { SvelteComponentTyped } from 'svelte';


interface FabButtonProps extends svelte.JSX.HTMLAttributes<HTMLElementTagNameMap['div']> {
  fabClose ?: boolean;
  label ?: string;
  target ?: string;
  tooltip ?: string;
  tooltipTrigger ?: string;
  onClick ?: (event?: any) => void;
  children?: React.ReactNode;
  color?: string;
  colorTheme?: string;
  textColor?: string;
  bgColor?: string;
  borderColor?: string;
  rippleColor?: string;
  dark?: boolean;
}



declare class FabButton extends SvelteComponentTyped<
  FabButtonProps,
  { click: CustomEvent<void>; },
  {  'default' : {}; }
> {}

export { FabButtonProps };
export default FabButton;
