
import { SvelteComponentTyped } from 'svelte';


interface MessagebarAttachmentProps extends svelte.JSX.HTMLAttributes<HTMLElementTagNameMap['div']> {
  image ?: string;
  deletable ?: boolean;
  color?: string;
  colorTheme?: string;
  textColor?: string;
  bgColor?: string;
  borderColor?: string;
  rippleColor?: string;
  dark?: boolean;
  onAttachmentClick ?: (event?: any) => void;
  onAttachmentDelete ?: (event?: any) => void;
  children?: React.ReactNode;
}



declare class MessagebarAttachment extends SvelteComponentTyped<
  MessagebarAttachmentProps,
  { attachmentClick: CustomEvent<void>; attachmentDelete: CustomEvent<void>; },
  {  'default' : {}; }
> {}

export { MessagebarAttachmentProps };
export default MessagebarAttachment;
