
import { SvelteComponentTyped } from 'svelte';


interface TabProps extends svelte.JSX.HTMLAttributes<HTMLElementTagNameMap['div']> {
  color?: string;
  colorTheme?: string;
  textColor?: string;
  bgColor?: string;
  borderColor?: string;
  rippleColor?: string;
  dark?: boolean;
  tabActive ?: boolean;
  onTabShow ?: (el?: HTMLElement) => void;
  onTabHide ?: (el?: HTMLElement) => void;
  children?: React.ReactNode;
}



declare class Tab extends SvelteComponentTyped<
  TabProps,
  { tabRouterDidUpdate: CustomEvent<void>; },
  {  'default' : {}; }
> {}

export { TabProps };
export default Tab;
