
import { SvelteComponentTyped } from 'svelte';


interface ToolbarProps extends svelte.JSX.HTMLAttributes<HTMLElementTagNameMap['div']> {
  tabbar ?: boolean;
  icons ?: boolean;
  scrollable ?: boolean;
  hidden ?: boolean;
  outline ?: boolean;
  position ?: string;
  topMd ?: boolean;
  topIos ?: boolean;
  top ?: boolean;
  bottomMd ?: boolean;
  bottomIos ?: boolean;
  bottom ?: boolean;
  inner ?: boolean;
  color?: string;
  colorTheme?: string;
  textColor?: string;
  bgColor?: string;
  borderColor?: string;
  rippleColor?: string;
  dark?: boolean;
  onToolbarHide ?: (...args: any[]) => void;
  onToolbarShow ?: (...args: any[]) => void;
  children?: React.ReactNode;
}



declare class Toolbar extends SvelteComponentTyped<
  ToolbarProps,
  { toolbarShow: CustomEvent<void>; toolbarHide: CustomEvent<void>; },
  {  'before-inner' : {};  'default' : {};  'after-inner' : {}; }
> {}

export { ToolbarProps };
export default Toolbar;
